﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="uploadform.aspx.cs" Inherits="WebApplication1.uploadform" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ASP.NET Uploading Files</title>
    <link href="bootstrap.min.css" rel="stylesheet" />

    <style>
        .mytable {
            width: 50%;
            margin: 10px;
        }

        body {
            padding: 5px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <h2>ASP.NET - Upload files</h2>
            <table class="table table-condensed mytable">
                <tr>
                    <td>Product Name:
                    </td>
                    <td>
                        <asp:TextBox runat="server" ID="txtProductName" Width="150" />
                    </td>
                </tr>
                <tr>
                    <td>Product Description:
                    </td>
                    <td>
                        <asp:TextBox runat="server" ID="txtProductDescription" Width="150" />
                    </td>
                </tr>
                <tr>
                    <td>Product Image:
                    </td>
                    <td>
                        <asp:FileUpload runat="server" ID="fileupload1" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Button runat="server" ID="btnUpload" OnClick="btnUpload_Click" Text="Submit" CssClass="btn btn-success" />
                    </td>
                </tr>
            </table>
            <asp:Label runat="server" ID="lblInfo" />
            <asp:GridView runat="server" ID="gridviewProducts" UseAccessibleHeader="true" CssClass="table table-hover table-condensed mytable" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField HeaderText="Id" DataField="ProductId" />
                    <asp:BoundField HeaderText="Product name" DataField="ProductName" />
                    <asp:BoundField HeaderText="Description" DataField="ProductDesc" />
                    <asp:TemplateField HeaderText="Product Image">
                        <ItemTemplate>
                            <asp:Image ID="productimage" runat="server"
                                ImageUrl='<%# "~/Files/"+ Eval("ProductImage") %>' Width="100px" Height="100px" />
                        </ItemTemplate>

                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
    </form>
</body>
</html>
